#ifndef morpheo_tools_viewer_bdd_Architecture_h
#define morpheo_tools_viewer_bdd_Architecture_h

#include <iostream>
#include <list>
#include <iterator>
#include "Tools/Viewer/Bdd/include/Component.h"
#include <qlist.h>
using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Architecture 
    {
    private:
      string comment;
      QList<morpheo::tools::viewer::bdd::Component> *components;
      QList<string> *listcomp;
            
    public:
      string getComment();
      QList<morpheo::tools::viewer::bdd::Component> *getComponent();
      morpheo::tools::viewer::bdd::Component getComponent(string v);
      ~Architecture();
      Architecture();
      
      void setComment(string s);
      void addComponent(morpheo::tools::viewer::bdd::Component *c,string type);
  

    };//end class Architecture

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
